PHPExcel_Writer_Excel5_Font

category | PHPExcel
package | PHPExcel_Writer_Excel5
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Constructor

    __construct(\PHPExcel_Style_Font $font)

### Parameters

#### $font

`\PHPExcel_Style_Font`

## Set the color index

    setColorIndex(int $colorIndex)

### Parameters

#### $colorIndex

`int`

## Get font record data

    writeFont() : string

### Returns

`string`

## Map to BIFF5-BIFF8 codes for bold

    _mapBold(boolean $bold) : int

Static

### Parameters

#### $bold

`boolean`

### Returns

`int`

## Map underline

    _mapUnderline(string $underline) : int

Static

### Parameters

#### $underline

`string`

### Returns

`int`

### Properties

##

    $_colorIndex : int

##

    $_font : \PHPExcel_Style_Font

##

    $_mapUnderline

static | array of int